<?php

/* -----------------------------------------------------------------------------
 * Helper Function
 * -------------------------------------------------------------------------- */
function fthemes_get_option( $opt_name, $default = null ) {
	global $Redux_Options;
	return $Redux_Options->get( $opt_name, $default );
}

/* -----------------------------------------------------------------------------
 * Load Custom Fields
 * -------------------------------------------------------------------------- */
require_once( get_template_directory() . '/framework/admin/custom-fields/field_font_upload/field_upload.php' );
require_once( get_template_directory() . '/framework/admin/custom-fields/field_typography.php' );
require_once( get_template_directory() . '/framework/admin/custom-fields/field_section_info.php' );
require_once( get_template_directory() . '/framework/admin/custom-fields/field_sidebar_select.php' );
require_once( get_template_directory() . '/framework/admin/custom-fields/field_color_scheme.php' );
require_once( get_template_directory() . '/framework/admin/custom-fields/field_slider.php' );
require_once( get_template_directory() . '/framework/admin/custom-fields/field_slides.php' );
/* -----------------------------------------------------------------------------
 * Initial Redux Framework
 * -------------------------------------------------------------------------- */


if(!class_exists('Redux_Options')) {
	//define('Redux_OPTIONS_URL', site_url('path the options folder'));
	require_once( get_template_directory() . '/framework/admin/options/defaults.php' );
}
/*
 *
 * Most of your editing will be done in this section.
 *
 * Here you can override default values, uncomment args and change their values.
 * No $args are required, but they can be over ridden if needed.
 *
 */
function fthemes_setup_framework_options() {
function cosonix_allowed_html() {

	$allowed_tags = array(
		'a' => array(
			'class' => array(),
			'href'  => array(),
			'rel'   => array(),
			'title' => array(),
		),
		'abbr' => array(
			'title' => array(),
		),
		'b' => array(),
		'blockquote' => array(
			'cite'  => array(),
		),
		'cite' => array(
			'title' => array(),
		),
		'code' => array(),
		'del' => array(
			'datetime' => array(),
			'title' => array(),
		),
		'dd' => array(),
		'div' => array(
			'class' => array(),
			'title' => array(),
			'style' => array(),
		),
		'dl' => array(),
		'dt' => array(),
		'em' => array(),
		'h1' => array(),
		'h2' => array(),
		'h3' => array(),
		'h4' => array(),
		'h5' => array(),
		'h6' => array(),
		'i' => array(),
		'img' => array(
			'alt'    => array(),
			'class'  => array(),
			'height' => array(),
			'src'    => array(),
			'width'  => array(),
		),
		'li' => array(
			'class' => array(),
		),
		'ol' => array(
			'class' => array(),
		),
		'p' => array(
			'class' => array(),
		),
		'q' => array(
			'cite' => array(),
			'title' => array(),
		),
		'span' => array(
			'class' => array(),
			'title' => array(),
			'style' => array(),
		),
		'strike' => array(),
		'strong' => array(),
		'ul' => array(
			'class' => array(),
		),
	);
	
	return $allowed_tags;
}
$allowed_html = cosonix_allowed_html();	
	$args = array();

	$args['std_show'] = true; // If true, it shows the std value

	// Set the class for the dev mode tab icon.
	// This is ilicered unless $args['icon_type'] = 'iconfont'
	// Default: null
	$args['dev_mode_icon_class'] = 'icon-large';

	// Setup custom links in the footer for share icons
	$args['share_icons']['twitter'] = array(
		'link' => 'http://twitter.com/ghost1227',
		'title' => __('Follow me on Twitter', 'cosonix'),
		'img' => Redux_OPTIONS_URL . 'img/social/Twitter.png'
	);
	$args['share_icons']['linked_in'] = array(
		'link' => 'http://www.linkedin.com/profile/view?id=52559281',
		'title' => __('Find me on LinkedIn', 'cosonix'),
		'img' => Redux_OPTIONS_URL . 'img/social/LinkedIn.png'
	);

	// Set the class for the import/export tab icon.
	// This is ilicered unless $args['icon_type'] = 'iconfont'
	// Default: null
	$args['import_icon_class'] = 'icon-large';

	// Set a custom option name. Don't forget to replace spaces with underscores!
	$args['opt_name'] = 'fthemes_theme_options';

	// Set a custom title for the options page.
	// Default: Options
	$args['menu_title'] = __('Theme Options', 'cosonix');

	// Set a custom page title for the options page.
	// Default: Options
	$args['page_title'] = __('Theme Options', 'cosonix');

	// Set a custom page slug for options page (wp-admin/themes.php?page=***).
	// Default: redux_options
	$args['page_slug'] = 'redux_options';

	// Set the menu type. Set to "menu" for a top level menu, or "submenu" to add below an existing item.
	// Default: menu
	$args['page_type'] = 'menu';

	// Set the parent menu.
	// Default: themes.php
	$args['page_parent'] = 'themes.php';

	// Set the icon type. Set to "iconfont" for Font Awesome, or "image" for traditional.
	// Redux no longer ships with standard icons!
	// Default: iconfont
	//$args['icon_type'] = 'image';
	$args['dev_mode_icon_type'] = 'iconfont';
	$args['import_icon_type'] = 'iconfont';

	$allowed_html_array = array(
    'p' => array(),
    'h4' => array(),
	'strong' => array(),
	'a' => array(),
	);
	$args['intro_text'] = wp_kses( __( '<h4>Theme Settings Information for Cosonix Theme</h4>', 'cosonix' ), $allowed_html_array );

	$sections = array();
	
	//section for General-logo, favicon, ratina, custom css
	$sections[] = array(
						'icon_type' => 'iconfont',
						'icon' => 'globe',
						'icon_class' => 'icon-large',
						'title' => esc_html__('General', 'cosonix'),
						'desc' => wp_kses( __('<p class="description">This is the general options.</p>', 'cosonix'), $allowed_html_array ),
						'fields' => array(
										    array(
												'id' => 'logo_url',
												'type' => 'upload',
												'title' => esc_html__('Upload Main Logo', 'cosonix'),
												'sub_desc' => esc_html__('This is the main logo', 'cosonix'),
											),
											
											array(
												'id' => 'cosonix_favicon',
												'type' => 'upload',
												'title' => esc_html__('Upload Favicon', 'cosonix'),
												'sub_desc' => esc_html__('This is favicon. Upload 64x64 favicon icon.', 'cosonix'),
											),
											
											array(
												'id' => 'cosonix_appletouch',
												'type' => 'upload',
												'title' => esc_html__('Upload Apple Touch Icon', 'cosonix'),
											),
											
											array(
												'id' => 'cosonix_loading_on',
												'type' => 'checkbox',
												'title' => esc_html__('Pre Loader', 'cosonix'),
												'sub_desc' => esc_html__('On/Off Pre Loader', 'cosonix'),
												'switch' => true,
												'std' => '1', // 1 = checked | 0 = unchecked
												'desc' => esc_html__('Switch it Off if you do not want the Pre Loader in your site.', 'cosonix'),
											),
											
											array(
												'id' => 'header_bg',
												'type' => 'color',
												'title' => esc_html__('Header Background Color', 'cosonix'),
												'sub_desc' => esc_html__('Choose header background color from here. Default color is white.', 'cosonix'),
												'std' => '#FFFFFF'
											),
											
											array(
                                                                'id' => 'cosonix_readmore_label',
                                                                'type' => 'text',
                                                                'title' => esc_html__('Label of Read More Buttons', 'cosonix'),
                                                                'sub_desc' => 'Input a label if you want something else rather than Read More. Default is Read More',
                                                                'std' => '',
                                                    ),

											array(
												'id' => 'onepage_on',
												'type' => 'checkbox',
												'title' => esc_html__('One Page', 'cosonix'),
												'sub_desc' => esc_html__('On/Off One Page', 'cosonix'),
												'switch' => true,
												'std' => '1', // 1 = checked | 0 = unchecked
												'desc' => esc_html__('If you plan to make your site Multi-Page, please switch off One-Page from here. It will stop the main Menu from one-page scrolling within the same page and work as multi-page menu.', 'cosonix'),
											),
											
											array(
												'id' => 'cosonix_smooth_scroll',
												'type' => 'checkbox',
												'title' => esc_html__('On/Off Smooth Scroll', 'cosonix'),
												'sub_desc' => esc_html__('On/Off Smooth Scroll', 'cosonix'),
												'switch' => true,
												'std' => '0' // 1 = checked | 0 = unchecked
											),
											
											array(
												'id' => 'retina_on',
												'type' => 'checkbox',
												'title' => esc_html__('Retina Display', 'cosonix'),
												'sub_desc' => esc_html__('On/Off Retina display mode.', 'cosonix'),
												'switch' => true,
												'std' => '0', // 1 = checked | 0 = unchecked
												'desc' => esc_html__('Keep every images @2x version if Retina mode is On.', 'cosonix'),
											),
											
											array(
												'id' => 'toggle_menu_portrait_mode',
												'type' => 'checkbox',
												'title' => esc_html__('Toggle Menu for Tablet', 'cosonix'),
												'sub_desc' => esc_html__('On/Off Toggle Menu for Tablet Portrait mode.', 'cosonix'),
												'switch' => true,
												'std' => '0', // 1 = checked | 0 = unchecked
											),
											
											array(
												'id' => 'animations_on',
												'type' => 'checkbox',
												'title' => esc_html__('Animations', 'cosonix'),
												'sub_desc' => esc_html__('On/Off Default Animations.', 'cosonix'),
												'switch' => true,
												'std' => '0', // 1 = checked | 0 = unchecked
												'desc' => esc_html__('To have the animations like the Live Preview of Cosonix Theme you will just need to make sure that the Row ID of the animated sections are: home, features, pricing, reviews.', 'cosonix'),
											),
											
											array( 
												"title" => esc_html__("Custom Google Font", 'cosonix'),
												"sub_desc" => esc_html__("By Default the theme using Lato google font. If you want to use any other google font, you should input your font name here. For example: if you want to use Varela Round font, you should input Varela+Round here.", 'cosonix'),
												"id" => "customer_chosen_font",
												"std" => "",
												"type" => "text"
											),
											
											array( 
												"title" => esc_html__("Custom Google Font Family Name", 'cosonix'),
												"sub_desc" => esc_html__("By Default the theme using Lato font family. If you have input a custom google font in the above field, you should input that font-family name here. For example: if you used Varela+Round in the above field, you should input Varela Round here.", 'cosonix'),
												"id" => "customer_chosen_font_family",
												"std" => "",
												"type" => "text"
											),
											
											array( 
												"title" => esc_html__("Custom CSS", 'cosonix'),
												"sub_desc" => esc_html__("Advanced CSS options. Paste your CSS code and it will override existing code style.", 'cosonix'),
												"id" => "textarea_csscode",
												"std" => "",
												"type" => "textarea"
											),

										)
	);
	
	//section for different colored layouts
					$sections[] = array(
							'icon_type' => 'iconfont',
							'icon' => 'eye-open',
							'icon_class' => 'icon-large',
							'title' => esc_html__('Colors', 'cosonix'),
							'desc' => wp_kses( __('<p class="description">Choose global color for your website</p>', 'cosonix'), $allowed_html_array ),
							'fields' => array(

											array(
												'id' => 'three_colors',
												'type' => 'radio',
												'title' => esc_html__('Website Ready-Made Colors', 'cosonix'), 
												'sub_desc' => esc_html__('Choose a Color for your Website', 'cosonix'),
												'options' => array('1' => 'Yellow', '2' => 'Blue', '3' => 'Green', '4' => 'Red'), // Must provide key => value pairs for radio options
												'std' => '1'
											),
											array(
												'id' => 'checkbox_hide_below',
												'type' => 'checkbox_hide_below',
												'title' => esc_html__('Custom Color', 'cosonix'), 
												'sub_desc' => esc_html__('Want to use a custom color other than the above colors?', 'cosonix'),
												'desc' => esc_html__('Check this if you want to use a custom color', 'cosonix'),
											),
											array(
												'id' => 'custom_color',
												'type' => 'color',
												'title' => esc_html__('Website Custom Color', 'cosonix'), 
												'sub_desc' => esc_html__('Choose custom Color from here', 'cosonix'),
												'desc' => esc_html__('Keep it empty if you like to use the above Ready-Made colors', 'cosonix'),
												'std' => ''
											),
											array(
												'id' => 'custom_blog_color',
												'type' => 'color',
												'title' => esc_html__('Blog Posts Custom Color', 'cosonix'), 
												'sub_desc' => esc_html__('Choose custom Color for Blog', 'cosonix'),
												'desc' => esc_html__('Default Blog Posts color is #acb1b7', 'cosonix'),
												'std' => '#acb1b7'
											),
							)
						);
	
		//section for Social icon url
	$sections[] = array(
					'icon_type' => 'iconfont',
					'icon' => 'group',
					'icon_class' => 'icon-large',
					'title' => esc_html__('Social Media', 'cosonix'),
					'desc' => wp_kses( __('<p class="description">This is options for setting up the social media of website. Do not forget to use http:// for any social urls.</p>', 'cosonix'), $allowed_html_array ),
					'fields' => array(
                                                    array(
																'id' => 'social_facebook',
																'type' => 'text',
																'title' => esc_html__('Facebook URL', 'cosonix'), 
																'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
																'std' => '',
													),
													
													array(
                                                                'id' => 'social_twitter',
                                                                'type' => 'text',
                                                                'title' => esc_html__('Twitter URL', 'cosonix'),
                                                                'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
                                                                'std' => '',
                                                    ),
													
													array(
                                                                'id' => 'social_linkedin',
                                                                'type' => 'text',
                                                                'title' => esc_html__('Linkedin URL', 'cosonix'),
                                                                'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
                                                                'std' => '',
                                                    ),

													array(
																'id' => 'social_googleplus',
																'type' => 'text',
																'title' => esc_html__('GooglePlus URL', 'cosonix'), 
																'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
																'std' => '',
													),

													array(
																'id' => 'social_pinterest',
																'type' => 'text',
																'title' => esc_html__('Pinterest URL', 'cosonix'), 
																'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
																'std' => '',
													),

													array(
																'id' => 'social_instagram',
																'type' => 'text',
																'title' => esc_html__('Instagram URL', 'cosonix'), 
																'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
																'std' => '',
													),													
													
													array(
																'id' => 'social_youtube',
																'type' => 'text',
																'title' => esc_html__('Youtube URL', 'cosonix'), 
																'sub_desc' => esc_html__('The URL to your account page', 'cosonix'),
																'std' => '',
													),
							)
				);
		
		//section for mailchimp
					$sections[] = array(
							'icon_type' => 'iconfont',
							'icon' => 'cog',
							'icon_class' => 'icon-large',
							'title' => esc_html__('MailChimp/Aweber', 'cosonix'),
							'desc' => wp_kses( __('<p class="description">MailChimp or Aweber settings for subscriber forms of Cosonix</p>', 'cosonix'), $allowed_html_array ),
							'fields' => array(

													array(
																'id' => 'ft_subscription_name_placeholder',
																'type' => 'text',
																'title' => esc_html__('Footer Sign Up Form Name Field Place Holder', 'cosonix'), 
																'std' => 'Your Name',
													),
													array(
																'id' => 'ft_subscription_email_placeholder',
																'type' => 'text',
																'title' => esc_html__('Footer Sign Up Form Email Field Place Holder', 'cosonix'), 
																'std' => 'Your Email Address',
													),
													array(
																'id' => 'ft_subscription_sbumit_lable',
																'type' => 'text',
																'title' => esc_html__('Footer Sign Up Form Submit Button Label', 'cosonix'), 
																'std' => 'Sign Up',
													),
													array(
														'id' => 'newsletter_name_field',
														'type' => 'checkbox',
														'title' => esc_html__('Switch On/Off Newsletter Name Field for MailChimp', 'cosonix'),
														'sub_desc' => esc_html__('If you do not want the Name Field, switch it off. It works for MailChimp only, and it will remove the Name Field for all the Newsletter form of your site.', 'cosonix'),
														'switch' => true,
														'std' => '1' // 1 = checked | 0 = unchecked
													),
											
													array(
																'id' => 'mailchimp_apikey',
																'type' => 'text',
																'title' => esc_html__('MailChimp API Key', 'cosonix'), 
																'sub_desc' => esc_html__('The API key of your MailChimp account', 'cosonix'),
																'std' => '',
													),													
													array(
																'id' => 'mailchimp_listid',
																'type' => 'text',
																'title' => esc_html__('MailChimp List ID', 'cosonix'), 
																'sub_desc' => esc_html__('The List Id of your Mailchimp.', 'cosonix'),
																'std' => '',
													),
													array(
																'id' => 'mailchimp_thanks_message',
																'type' => 'text',
																'title' => esc_html__('Thank You Message', 'cosonix'), 
																'sub_desc' => esc_html__('MailChimp Thank You Message', 'cosonix'),
																'std' => 'Thank you, a confirmation mail has been sent!',
													),
													array(
																'id' => 'mailchimp_error_message',
																'type' => 'text',
																'title' => esc_html__('Error Message', 'cosonix'), 
																'sub_desc' => esc_html__('MailChimp Error Message', 'cosonix'),
																'std' => 'Please try again',
													),
													array(
																'id' => '123',
																'type' => 'info',
																'desc' => __('<p class="description">If you want to use Aweber instead of MailChimp use the settings below and keep the above MailChimp fields empty.</p>', 'cosonix')
													),
													array(
																'id' => 'ft_aweber_listid',
																'type' => 'text',
																'title' => esc_html__('Aweber List ID', 'cosonix'), 
																'sub_desc' => esc_html__('The unique List ID of Aweber account', 'cosonix'),
																'std' => '',
													),
													array(
																'id' => 'aweber_redirectpage',
																'type' => 'text',
																'title' => esc_html__('Redirect Page URL', 'cosonix'), 
																'sub_desc' => esc_html__('Redirect page url after successful subscription of Aweber', 'cosonix'),
																'std' => '',
													),
													array(
																'id' => 'aweber_redirectpage_old',
																'type' => 'text',
																'title' => esc_html__('Redirect Page URL for already subscribed users', 'cosonix'), 
																'sub_desc' => esc_html__('Redirect page url for already subscribed users of Aweber', 'cosonix'),
																'std' => '',
													),
							)
						);
						
		//section for Blog
					$sections[] = array(
							'icon_type' => 'iconfont',
							'icon' => 'desktop',
							'icon_class' => 'icon-large',
							'title' => esc_html__('Blog', 'cosonix'),
							'desc' => wp_kses( __('<p class="description">Blog Settings</p>', 'cosonix'), $allowed_html_array ),
							'fields' => array(

													array(
																'id' => 'blog_sidebar_pos',
																'type' => 'radio',
																'title' => esc_html__('Sidebar Position', 'cosonix'),
																'options' => array('1' => 'Right Sidebar', '2' => 'Left Sidebar'), // Must provide key => value pairs for radio options
																'std' => '1'
													),
													array(
																'id' => 'blog_meta_switch',
																'type' => 'checkbox',
																'title' => esc_html__('Post Meta for Blog pages', 'cosonix'), 
																'sub_desc' => esc_html__('Show/Hide Post date, Number of comments and Tags.', 'cosonix'),
																'switch' => true,
																'std' => '1' // 1 = checked | 0 = unchecked
													),
													array(
																'id' => 'single_meta_switch',
																'type' => 'checkbox',
																'title' => esc_html__('Post Meta for Single Post', 'cosonix'), 
																'sub_desc' => esc_html__('Show/Hide Post date, Number of comments and Tags.', 'cosonix'),
																'switch' => true,
																'std' => '1' // 1 = checked | 0 = unchecked
													),
							)
						);
						
		//section for Footer
					$sections[] = array(
							'icon_type' => 'iconfont',
							'icon' => 'columns',
							'icon_class' => 'icon-large',
							'title' => esc_html__('Footer', 'cosonix'),
							'desc' => wp_kses( __('<p class="description">This is options for footer.</p>', 'cosonix'), $allowed_html_array ),
							'fields' => array(

											array(
												'id' => 'footerlogo_url',
												'type' => 'upload',
												'title' => esc_html__('Upload Footer Logo', 'cosonix'),
												'sub_desc' => esc_html__('This is the footer logo', 'cosonix'),
											),
											
											array(
												'id' => 'copy_text',
												'type' => 'textarea',
												'title' => esc_html__('Copyright Text', 'cosonix'),
												'sub_desc' => esc_html__('Enter your Copyright text here', 'cosonix'),
												'std' => '',
											),

											array(
												'id' => 'bottom_footer_bg',
												'type' => 'color',
												'title' => esc_html__('Bottom Footer Background Color', 'cosonix'),
												'sub_desc' => esc_html__('Choose Bottom Footer background color from here.', 'cosonix'),
												'std' => ''
											),
											
											array(
												'id' => 'top_footer_section',
												'type' => 'checkbox',
												'title' => esc_html__('Top Footer Section', 'cosonix'),
												'sub_desc' => esc_html__('Show/Hide Top Footer Section.', 'cosonix'),
												'switch' => true,
												'std' => '1' // 1 = checked | 0 = unchecked
											),
											
											array(
												'id' => 'top_footer_bg',
												'type' => 'color',
												'title' => esc_html__('Top Footer Background Color', 'cosonix'),
												'sub_desc' => esc_html__('Choose Top Footer background color from here.', 'cosonix'),
												'std' => ''
											),																						

											array(
												'id' => 'footer_column_title',
												'type' => 'color',
												'title' => esc_html__('Footer Column Titles Color', 'cosonix'),
												'std' => ''
											),
											
													array(
																'id' => 'footer_title1',
																'type' => 'text',
																'title' => esc_html__('Title of First Column (Quick Links Column) of the Footer', 'cosonix'), 
																'sub_desc' => '',
																'std' => '',
													),
													
													array(
																'id' => 'footer_title2',
																'type' => 'text',
																'title' => esc_html__('Title of Second Column (Social Media Column) of the Footer', 'cosonix'), 
																'sub_desc' => esc_html__('Redirect page url for already subscribed users of Aweber', 'cosonix'),
																'std' => '',
													),
													
													array(
																'id' => 'footer_title3',
																'type' => 'text',
																'title' => esc_html__('Title of Third Column (News Updates Column) of the Footer', 'cosonix'), 
																'sub_desc' => '',
																'std' => '',
													),
													
													array(
																'id' => 'footer_title4',
																'type' => 'text',
																'title' => esc_html__('Title of Fourth Column (Newsletter Column) of the Footer', 'cosonix'), 
																'sub_desc' => '',
																'std' => '',
													),
											
											array(
												'id' => 'footer_title',
												'type' => 'color',
												'title' => esc_html__('Footer Titles Color', 'cosonix'),
												'std' => ''
											),
											
											array(
												'id' => 'footer_blog',
												'type' => 'checkbox',
												'title' => esc_html__('Latest Articles/News Updates Column', 'cosonix'),
												'sub_desc' => esc_html__('Show/Hide News Updates column in the footer.', 'cosonix'),
												'switch' => true,
												'std' => '1' // 1 = checked | 0 = unchecked
											),
											
											array(
												'id' => 'footer_newsletter',
												'type' => 'checkbox',
												'title' => esc_html__('Newsletter Column', 'cosonix'),
												'sub_desc' => esc_html__('Show/Hide newsletter column in the footer.', 'cosonix'),
												'switch' => true,
												'std' => '1' // 1 = checked | 0 = unchecked
											),																																
											
							)
						);					

                        

	$tabs = array();

		$theme_data = wp_get_theme();
		$item_uri = $theme_data->get('ThemeURI');
		$description = $theme_data->get('Description');
		$author = $theme_data->get('Author');
		$author_uri = $theme_data->get('AuthorURI');
		$version = $theme_data->get('Version');
		$tags = $theme_data->get('Tags');

	


	global $Redux_Options;
	$Redux_Options = new Redux_Options($sections, $args, $tabs);
}
add_action('init', 'fthemes_setup_framework_options', 0);