<?php 
// add_editor_style();
add_action('after_setup_theme', 'fthemes_theme_setup');
function fthemes_theme_setup(){
	load_theme_textdomain( 'cosonix', get_template_directory() . '/languages' );

	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php";
	if ( is_readable( $locale_file ) )
		require_once( $locale_file );
		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
			)
		);
		
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'post-formats', array( 'video' ) );
		add_theme_support( 'title-tag' );
		add_theme_support( 'custom-logo', array(
		   'height'      => 60,
		   'width'       => 60,
		   'flex-width' => true,
		) );	
}

    
require_once( get_template_directory() . '/framework/admin/options.php' ); // Load Options Framework
require_once( get_template_directory() . '/inc/theme-functions.php' ); // Load Theme Functions
require_once( get_template_directory() . '/inc/enqueue.php' ); // Enqueue JavaScripts & CSS
require_once( get_template_directory() . '/inc/customcss.php' ); // Load Custom CSS
require_once( get_template_directory() . '/inc/popular-post.php' );

if ( function_exists( 'the_gutenberg_project' ) || function_exists( 'wp_common_block_scripts_and_styles' ) ) {
require_once( COSONIX_GUTENBERG_PATH . 'gutenberg-functions.php' ); /*Gutenberg Only*/
}

if(class_exists('WPBakeryVisualComposerAbstract')) {
	include_once( get_template_directory() . '/inc/vc-shortcodes.php' ); // Load Visual Composer Customizations
}

if ( is_admin() ) {
	if(class_exists('OCDC_Plugin')) {
		require_once( get_template_directory() . '/framework/demo-content/demo-content.php' );
	}	
	require_once( get_template_directory() . '/framework/plugins.php' );
}