<!doctype html>
<html <?php language_attributes(); ?> class="no-js">
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <!-- For iPhone, iPod Touch, and Android devices: -->
    <link rel="apple-touch-icon-precomposed" href="<?php echo esc_url(fthemes_get_option('cosonix_appletouch')); ?>">

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
<?php
	wp_body_open();
?>
<!--Adding loading gif start-->
<?php if(fthemes_get_option('cosonix_loading_on') == '1') { ?>
<div class="fthemes-loading"></div>
<?php } ?>
<!--Adding loading gif end-->

<div id="back-to-top"><i class="fa fa-arrow-up"></i></div>

<!--Header block-->

<header id="header" class="has-shadow">

    <div class="container">

        <div class="row">

            <!--logo-->
            <div class="col-sm-3">
			<?php if ( function_exists( 'has_custom_logo' ) && has_custom_logo()){ 
				$custom_logo_id = get_theme_mod( 'custom_logo' );
				$custom_logo_url = wp_get_attachment_image_url( $custom_logo_id , 'full' );?>
				<a class="logo-wrap" href="<?php echo esc_url( home_url( '/' ) ); ?>">
				<img src="<?php echo esc_url( $custom_logo_url ); ?>" alt="<?php echo esc_attr__('logo','cosonix');?>" class="logo img-responsive"></a>
			<?php }else{ ?>	
				<a class="logo-wrap" href="<?php echo esc_url( home_url( '/' ) ); ?>"><img class="logo img-responsive" src="<?php if(fthemes_get_option('logo_url') != '') { ?><?php echo esc_url( fthemes_get_option('logo_url') ); ?><?php } else { ?><?php echo esc_url( get_template_directory_uri() ).'/images/cosonix-logo.png'; ?><?php } ?>" alt="<?php esc_attr_e('logo','cosonix'); ?>" /></a>			
			<?php } ?>	
                <a class="btn toggle-menu" role="button" data-toggle="collapse" href="#wrap-nav-list" aria-expanded="false" aria-controls="wrap-nav-list"><?php esc_html_e('Menu','cosonix');?> <i class="fa fa-bars"></i></a>
            </div>
            <!--end logo-->



            <!--main navigation-->

            <div class="col-sm-9 dif-toggle-bg">
				<a class="btn toggle-menu-rtl" role="button" data-toggle="collapse" href="#wrap-nav-list" aria-expanded="false" aria-controls="wrap-nav-list"><?php esc_html_e('Menu','cosonix');?> <i class="fa fa-bars"></i></a>
                <nav class="main-nav" style="visibility: hidden;">

                    <div class="collapse" id="wrap-nav-list">

                        <ul class="nav-list">

                            <?php

								if (has_nav_menu('home_menu')) {
								wp_nav_menu(array(

								'theme_location' 	=>'home_menu', 'container' => '', 'items_wrap' => '%3$s'

								)); 
								}

							?>

                        </ul>

                    </div>

                </nav>

            </div>

            <!--end main navigation-->

        </div>

    </div>

</header>

<!--End header block-->