<?php
function fthemes_scripts_basic() {  

	/* ------------------------------------------------------------------------ */
	/* Register Scripts */
	/* ------------------------------------------------------------------------ */
	wp_register_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', 'jquery', '3.3.5', TRUE);
	wp_register_script('waypoints', get_template_directory_uri() . '/js/waypoints.min.js', 'jquery', '3.1.1', TRUE);
	wp_register_script('animate', get_template_directory_uri() . '/js/animations.js', 'jquery', '1.0.0', TRUE);
	wp_register_script('validate', get_template_directory_uri() . '/js/jquery.validate.min.js', 'jquery', '1.12.0', TRUE);
	wp_register_script('chosen', get_template_directory_uri() . '/js/chosen.jquery.min.js', 'jquery', '1.0.0', TRUE);
	wp_register_script('retina', get_template_directory_uri() . '/js/retina.js', 'jquery', '1.0.0', TRUE);
	wp_register_script('cosonix-main', get_template_directory_uri() . '/js/main.js', 'jquery', '1.0.0', TRUE);
	wp_register_script('cosonix-main-multipage', get_template_directory_uri() . '/js/main-multipage.js', 'jquery', '1.0.0', TRUE);

	/* ------------------------------------------------------------------------ */
	/* Enqueue Scripts */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_script('bootstrap');
	wp_enqueue_script('waypoints');
	if(fthemes_get_option('animations_on') == '1') {
	wp_enqueue_script('animate');
	}
  	wp_enqueue_script('validate');
	if(fthemes_get_option('retina_on') == '1') {
		wp_enqueue_script('retina');
	}
  	wp_enqueue_script('chosen');
	if(fthemes_get_option('onepage_on') == '1') {
	wp_enqueue_script('cosonix-main');
	} else {
	wp_enqueue_script('cosonix-main-multipage');
	} 
	/* Smooth scroll */
	if(fthemes_get_option('cosonix_smooth_scroll') == '1') {
	wp_enqueue_script('TweenMax', get_template_directory_uri() . '/js/custom_scroll/TweenMax.min.js', array( 'jquery' ), '1.0.0', true);		
	wp_enqueue_script('ScrollToPlugin', get_template_directory_uri() . '/js/custom_scroll/ScrollToPlugin.js', array( 'jquery' ), '1.0.0', true);			
	wp_enqueue_script('cosonix-custom_smooth_scroll.js', get_template_directory_uri() . '/js/custom_scroll/custom_smooth_scroll.js', array( 'jquery' ), '1.0.0', true);
	}
	wp_enqueue_script('modernizr', get_template_directory_uri() . '/js/modernizr.js', array( 'jquery' ), '1.0.0', true);
	
	if(fthemes_get_option('onepage_on') == '1') {
	wp_localize_script( 'cosonix-main', 'prefix_object_name', array(
		'error_while_ajax_request' => esc_html__( 'Error while ajax request', 'cosonix' ),
		'thank_you_your_email_has_been_sent' => esc_html__( 'Thank you, your email has been sent', 'cosonix' ),
		'please_try_again' => esc_html__( 'Please, fill in the required fields correctly and Try again later!', 'cosonix' )
	) );
	} else {
	wp_localize_script( 'cosonix-main-multipage', 'prefix_object_name', array(
		'error_while_ajax_request' => esc_html__( 'Error while ajax request', 'cosonix' ),
		'thank_you_your_email_has_been_sent' => esc_html__( 'Thank you, your email has been sent', 'cosonix' ),
		'please_try_again' => esc_html__( 'Please, fill in the required fields correctly and Try again later!', 'cosonix' )
	) );
	}
}
add_action( 'wp_enqueue_scripts', 'fthemes_scripts_basic' );  

function fthemes_styles_basic()  {  
	
	/* ------------------------------------------------------------------------ */
	/* Register Stylesheets */
	/* ------------------------------------------------------------------------ */
	wp_register_style( 'cosonix-fonts-open-sans', cosonix_fonts_opensans_url(), array(), false, 'all');	
	wp_register_style( 'cosonix-fonts-lato', cosonix_fonts_lato_url(), array(), false, 'all');	
	wp_register_style( 'cosonix-fonts-source-sans', cosonix_fonts_source_sans_pro_url(), array(), false, 'all');	
	if(fthemes_get_option('customer_chosen_font') != '') {
	$customer_chosen_font = fthemes_get_option('customer_chosen_font');
	wp_register_style( 'customer_chosen_font', '//fonts.googleapis.com/css?family='.$customer_chosen_font.'', array(), '1.0', 'all' );
	}
	wp_register_style( 'animate', get_template_directory_uri() . '/css/animate.css', array(), '1.0', 'all' );
	wp_register_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css', array(), '3.3.5', 'all' );
	wp_register_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '4.3.0', 'all' );
	wp_register_style( 'cosonix-animate-custom', get_template_directory_uri() . '/css/animate-custom.css', array(), '1.0', 'all' );
	wp_register_style( 'cf7', get_template_directory_uri() . '/css/contact-form7.css', array(), '1.0', 'all' );
	wp_register_style( 'chosen', get_template_directory_uri() . '/css/chosen.css', array(), '1.0', 'all' );
	wp_register_style( 'cosonix-tabion-css', get_template_directory_uri() . '/css/tabion-css.css', array(), '1.0', 'all' );
	wp_register_style( 'cosonix-styles', get_template_directory_uri() . '/css/style.css', array(), '1.0', 'all' );
	wp_register_style( 'cosonix-small', get_template_directory_uri() . '/css/small.css', array(), '1', 'all');
	wp_register_style( 'cosonix-medium', get_template_directory_uri() . '/css/medium.css', array(), '1', 'all' );
	wp_register_style( 'cosonix-large', get_template_directory_uri() . '/css/large.css', array(), '1', 'all' );


	wp_register_style( 'stylesheet', get_stylesheet_uri(), array(), '1.0', 'all' ); // Main Stylesheet
	
	/* ------------------------------------------------------------------------ */
	/* Enqueue Stylesheets */
	/* ------------------------------------------------------------------------ */
	wp_enqueue_style( 'cosonix-fonts-open-sans' );
	wp_enqueue_style( 'cosonix-fonts-lato' );
	wp_enqueue_style( 'cosonix-fonts-source-sans' );
	if(fthemes_get_option('customer_chosen_font') != '') {
	wp_enqueue_style( 'customer_chosen_font' );
	}
	if(fthemes_get_option('animations_on') == '1') {
	wp_enqueue_style( 'animate' );
	}
	wp_enqueue_style( 'cosonix-styles' );
	wp_enqueue_style( 'bootstrap' );
	wp_enqueue_style( 'font-awesome' );
	wp_enqueue_style( 'cosonix-animate-custom' );
	wp_enqueue_style( 'cf7' );
	wp_enqueue_style( 'cosonix-tabion-css' );
	wp_enqueue_style( 'cosonix-small' );
	wp_enqueue_style( 'cosonix-medium' );
	wp_enqueue_style( 'cosonix-large' );
	wp_enqueue_style( 'stylesheet' );
	wp_enqueue_style( 'chosen' );
	if ( function_exists( 'wp_common_block_scripts_and_styles' ) ) {
		wp_enqueue_style( 'cosonix-gutenberg-additions', get_template_directory_uri() . '/gutenberg/css/gutenberg-additions.css'); // Gutenberg CSS
	}
	
}
add_action( 'wp_enqueue_scripts', 'fthemes_styles_basic', 1 );

function cosonix_remove_wp_blocks()
{
			wp_dequeue_style( 'wp-block-library' );
			wp_dequeue_style( 'wp-block-library-theme' );
			wp_dequeue_style( 'wc-block-style' );
}
add_action('wp_enqueue_scripts', 'cosonix_remove_wp_blocks', 101);

function cosonix_enqueue_comment_reply() {
    if ( get_option( 'thread_comments' ) ) { 
        wp_enqueue_script( 'comment-reply' ); 
    }
	}
add_action( 'comment_form_before', 'cosonix_enqueue_comment_reply' );