<?php
// **********************************************************************// 
// ! Set Content Width
// **********************************************************************//  
if (!isset( $content_width )) $content_width = 1170;

// **********************************************************************// 
// ! Supports post thumbnails
// **********************************************************************// 
add_theme_support( 'post-thumbnails' );

// **********************************************************************// 
// ! Adds RSS feed links to <head> for posts and comments
// **********************************************************************// 
add_theme_support( 'automatic-feed-links' );

// **********************************************************************// 
// ! This theme uses wp_nav_menu() for Main Menu
// **********************************************************************// 
register_nav_menus( array(

		'primary_menu'=> esc_html__('Main Menu', 'cosonix'),
		
		'home_menu'=> esc_html__('Home Menu', 'cosonix'),

		'menu_footer'=> esc_html__('Footer Menu', 'cosonix')

) );


// **********************************************************************// 
// ! Register Sidebars
// **********************************************************************//
if ( ! function_exists( 'fthemes_widgets_init' ) ) {
	function fthemes_widgets_init() {

		register_sidebar( array(
		'name' => esc_html__( 'Sidebar', 'cosonix' ),
		'id' => 'fthemes_sidebar',
		'before_widget' => '<div class="sidebar-block">',
		'after_widget' => "</div>",
		'before_title' => '<h2>',
		'after_title' => '</h2>',
	) );
	}
}
add_action( 'widgets_init', 'fthemes_widgets_init' );

// **********************************************************************// 
// ! Getting Theme Fonts
// **********************************************************************//
// ! Opensans Font
function cosonix_fonts_opensans_url() {
$fonts_url = '';
 
/* Translators: If there are characters in your language that are not
* supported by Open Sans, translate this to 'off'. Do not translate
* into your own language.
*/
$open_sans = _x( 'on', 'Open Sans font: on or off', 'cosonix' );

$font_families = array();
 
if ( 'off' !== $open_sans ) {
$font_families[] = 'Open Sans:400,600';
}
 
$query_args = array(
'family' => urlencode( implode( '|', $font_families ) ),
'subset' => urlencode( 'latin,latin-ext' ),
);
 
$fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
 
return esc_url_raw( $fonts_url );
}

// ! lato Font
function cosonix_fonts_lato_url() {
$fonts_url = '';
 
/* Translators: If there are characters in your language that are not
* supported by lato, translate this to 'off'. Do not translate
* into your own language.
*/
$lato = _x( 'on', 'Lato font: on or off', 'cosonix' );

$font_families = array();
 
if ( 'off' !== $lato ) {
$font_families[] = 'Lato:400,700';
}
 
$query_args = array(
'family' => urlencode( implode( '|', $font_families ) ),
'subset' => urlencode( 'latin,latin-ext' ),
);
 
$fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
 
return esc_url_raw( $fonts_url );
}

// ! Source+Sans+Pro Font
function cosonix_fonts_source_sans_pro_url() {
$fonts_url = '';
 
/* Translators: If there are characters in your language that are not
* supported by Open Sans, translate this to 'off'. Do not translate
* into your own language.
*/
$source_sans_pro = _x( 'on', 'Source Sans Pro font: on or off', 'cosonix' );

$font_families = array();
 
if ( 'off' !== $source_sans_pro ) {
$font_families[] = 'Source Sans Pro:300,400';
}
 
$query_args = array(
'family' => urlencode( implode( '|', $font_families ) ),
'subset' => urlencode( 'latin,latin-ext' ),
);
 
$fonts_url = add_query_arg( $query_args, '//fonts.googleapis.com/css' );
 
return esc_url_raw( $fonts_url );
}
// **********************************************************************// 
// ! Custom Pagination
// **********************************************************************//
function fthemes_custom_pagination() {
	global $wp_query;

	$big = 999999999; // need an unlikely integer
		
	echo paginate_links( array(
		'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
		'format' => '?paged=%#%',
		'current' => max( 1, get_query_var('paged') ),
		'total' => $wp_query->max_num_pages,
		'show_all'     => false,
		'end_size'     => 1,
		'mid_size'     => 2,
		'prev_next'    => true,
		'prev_text'    => '<i class="fa fa-long-arrow-left"></i>',
		'next_text'    => '<i class="fa fa-long-arrow-right"></i>',
		'type'         => 'list',
		'add_args'     => false,
		'add_fragment' => ''
	) );
}


// **********************************************************************// 
// ! Check if subscribe jpg is exists
// **********************************************************************//
function cosonix_remote_image_file_exists( $url ) {
	$response = wp_remote_head( $url );
	return 200 === wp_remote_retrieve_response_code( $response );
}
	
// **********************************************************************// 
// ! Filtering WP_title
// **********************************************************************//
add_filter( 'wp_title', 'fthemes_wp_title_for_home', 10, 2 );
function fthemes_wp_title_for_home( $title, $sep )
{
  if( empty( $title ) && ( is_home() || is_front_page() ) ) {
    return esc_html__( 'Home', 'cosonix' ) . ' | ' . get_bloginfo( 'description' );
  }
  
  // Add a page number if necessary:
	global $page, $paged;
	if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
		$title .= " $sep " . sprintf( esc_html__( 'Page %s', 'cosonix' ), max( $paged, $page ) );
	}
	return $title;
}

// **********************************************************************// 
// ! Excerpt Limit
// **********************************************************************//
function excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }	
  $excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
  return $excerpt;
}

// **********************************************************************// 
// ! Un-register Default Search-bar, Recent Comments and Tags
// **********************************************************************//
/*function fthemes_unregister_default_wp_widgets() {
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_Tag_Cloud');
	unregister_widget('WP_Widget_Recent_Comments');
}
add_action('widgets_init', 'fthemes_unregister_default_wp_widgets', 1);*/

// **********************************************************************// 
// ! Display Comments section
// **********************************************************************//
if ( ! function_exists( 'cosonix_comment' ) ) {
/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 * simply create your own cosonix_comment(), and that function will be used instead.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 */
	function cosonix_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;

	global $post;
	?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID() ?>">
	<div class="wrapper-comment">
		<span class="wrap-icon">
            <span class="inner-avatar">
                <?php echo get_avatar($comment, 50); ?>
            </span>
        </span>
        <div class="wrap-comment">
            <p class="comment-info"><span class="comment-name"><?php comment_author(); ?></span><span class="comment-time"><?php comment_date('n-j-Y') ?></span></p>
            <div class="short-comment"><?php comment_text()?></div>
        </div>
	</div>
	<!-- #comment-## -->

	<?php
	}
}

/*******************
Comment form styling
*******************/
if ( ! function_exists( 'cosonix_comment_field' ) ) {
	function cosonix_comment_field($arg) {
  
	$arg['comment_field'] = '<textarea name="comment" id="" cols="30" rows="30" class="form-control" placeholder="'.esc_attr__('Your comment...', 'cosonix').'"></textarea>';    
	return $arg;
	}
}
add_filter('comment_form_defaults', 'cosonix_comment_field');//Text area customization filter

if ( ! function_exists( 'cosonix_modify_comment_fields' ) ) {
	function cosonix_modify_comment_fields($fields) {

    $fields['fields'] = '<div class="row"><div class="col-md-5"><input type="text" id="author" class="form-control" name="author" placeholder="'.esc_attr__("Name", 'cosonix').'*"';
	
	$n_value = '';
	$e_value = '';
	$w_value = '';
	
	$fields['fields'] .= ' value="'.esc_attr($n_value).'" aria-required="true" /></div><div class="col-md-7"></div></div>';
    $fields['fields'] .= '<div class="row"><div class="col-md-5"><input type="email" id="email" class="form-control" name="email" placeholder="'.esc_attr__("Email", 'cosonix').'*" value="'.esc_attr($e_value).'" aria-required="true" /></div></div>';
	$fields['fields'] .= '<div class="row"><div class="col-md-5"><input type="text" id="url" class="form-control" name="url" placeholder="'.esc_attr__("Website", 'cosonix').'" value="'.esc_attr($w_value).'" aria-required="false" /></div><div class="col-md-7"></div></div>';
	return $fields;
	}
}

add_filter('comment_form_defaults', 'cosonix_modify_comment_fields');//Name, Email and Website fields customization filter

function fthemes_comment_form_submit_button($button) {
	$button =
		'<div class="row">
            <div class="col-md-7"></div>
                <div class="col-md-5">
                    <button class="btn-common pull-right" name="submit" type="submit" id="[args:id_submit]" value="[args:label_submit]">'.esc_html__("Submit comment", 'cosonix').'</button>
                </div>
         </div>' .
		get_comment_id_fields();
	return $button;
}
add_filter('comment_form_submit_button', 'fthemes_comment_form_submit_button');//Submit button customization filter

// **********************************************************************// 
// ! Newsletter without loading
// **********************************************************************//
function cosonix_newsletter_without_loading($unique_css_class, $thanks_msg, $error_msg){
$theme_directory = get_template_directory();
$subscribe_file  = '/subscribe/sub_check.jpg';	
if ( file_exists( $theme_directory . $subscribe_file ) ) {
$subscribe_php = plugins_url('the_cosonix_shortcodes').'/modules/subscribe.php';
} else {
$subscribe_php = '#';
}
echo " " ?>
        <script>
            jQuery(document).ready(function(){
				
                jQuery('#newsletter_<?php echo $unique_css_class; ?>').on("submit", function(e){
                    //Stop the form from submitting itself to the server.
                    e.preventDefault();
					var data = {};                 
                    var email = jQuery("#email_<?php echo $unique_css_class; ?>").val();
                    var fname = jQuery("#fname_<?php echo $unique_css_class; ?>").val();
					var thanks_msg = "<?php echo $thanks_msg; ?>";
					var error_msg = "<?php echo $error_msg; ?>";

                    jQuery.ajax({
                        type: "POST",
						dataType: 'json',
						  beforeSend: function(){
							jQuery("#newsletter-loader_<?php echo $unique_css_class; ?>").css("display", "inline");
						  },
                        url: "<?php echo esc_url($subscribe_php); ?>",
                        data: {email:email,fname:fname},
						complete: function(){
							jQuery("#newsletter_<?php echo $unique_css_class; ?>")[0].reset();
							jQuery("#newsletter-loader_<?php echo $unique_css_class; ?>").css("display", "none");
						  },
                        success: function(data){
						jQuery('#output_result_<?php echo $unique_css_class; ?>').html(thanks_msg);
						jQuery('#output_result_<?php echo $unique_css_class; ?>').addClass('alert-info text-dark');
                        },	
						error: function(data){
						jQuery('#output_result_<?php echo $unique_css_class; ?>').html(error_msg);
						jQuery('#output_result_<?php echo $unique_css_class; ?>').addClass('alert-danger text-dark');
						  },
					  
                    });
                });
            });
        </script>
<?php "		
";
}

// **********************************************************************// 
// ! Footer Newsletter without loading
// **********************************************************************//
function cosonix_footer_newsletter_without_loading(){
$theme_directory = get_template_directory();
$subscribe_file  = '/subscribe/sub_check.jpg';	
if ( file_exists( $theme_directory . $subscribe_file ) ) {
$subscribe_php = plugins_url('the_cosonix_shortcodes').'/modules/subscribe.php';
} else {
$subscribe_php = '#';
}
$thanks_msg = fthemes_get_option('mailchimp_thanks_message');
$error_msg = fthemes_get_option('mailchimp_error_message');
	
	if((fthemes_get_option('mailchimp_apikey') != '') && (fthemes_get_option('ft_aweber_listid') == '')) { ?>
	
	<script type="text/javascript">
		jQuery(document).ready(function($) {						
                jQuery("#footer_signup").on("submit", function(e){
                    //Stop the form from submitting itself to the server.
                    e.preventDefault();
					var data = {};                 
                    var fname = jQuery("#ffname").val();
                    var email = jQuery("#femail").val();
					var thanks_msg = "<?php echo $thanks_msg; ?>";
					var error_msg = "<?php echo $error_msg; ?>";
					
                    jQuery.ajax({
                        type: "POST",
						dataType: 'json',
						  beforeSend: function(){
							jQuery("#newsletter-loader_footer").css("display", "inline");
						  },
                        url: "<?php echo esc_url( $subscribe_php ); ?>",
                        data: {email:email,fname:fname},
						complete: function(){
							jQuery("#footer_signup")[0].reset();
							jQuery("#newsletter-loader_footer").css("display", "none");
						  },
                        success: function(data){
						jQuery('#footer_response').html(thanks_msg);
						jQuery('#footer_response').addClass('alert-info text-dark');
                        },	
						error: function(data){
						jQuery('#footer_response').html(error_msg);
						jQuery('#footer_response').addClass('alert-danger text-dark');
						  },
					  
                    });
                });			
		});
	</script>
<?php } 
}