<?php
// VC_row customization

vc_add_param("vc_row", array(
   "type" => "checkbox",
   "class" => "",
   "heading" => __("Want to have shadow below the row?", "cosonix"),
   "param_name" => "has_shadow",
   "value" => array(
      "" => "false"
   ),
   "description" => '',
));

vc_add_param("vc_row", array(
   "type" => "textfield",
   "class" => "",
   "heading" => __("Want to have top padding?",'cosonix'),
   "param_name" => "top_padding",
   "value" => "",
   "description" => __("Input top padding in pixel (i.e 50px).", "cosonix"),
));

vc_add_param("vc_row", array(
   "type" => "textfield",
   "class" => "",
   "heading" => __("Want to have bottom padding?",'cosonix'),
   "param_name" => "bottom_padding",
   "value" => "",
   "description" => __("Input bottom padding in pixel (i.e 50px).", "cosonix"),
));

// VC_column_text customization

vc_add_param("vc_column_text", array(
   "type" => "colorpicker",
   "class" => "",
   "heading" => __("Play text color", "cosonix"),
   "param_name" => "txt_color",
   "value" => "",
   "description" => '',
));

// VC_custom_heading customization

vc_add_param("vc_custom_heading", array(
   "type" => "textfield",
   "class" => "",
   "heading" => __("Font Weight", "cosonix"),
   "param_name" => "fnt_weight",
   "value" => "normal",
   "description" => __("Input font-weight, i.e- normal, bold, bolder, lighter, 100, 200, 300, 400, 500, 600, 700, 900 etc.", "cosonix"),
));

vc_add_param("vc_custom_heading", array(
   "type" => "checkbox",
   "class" => "",
   "heading" => __("Do not turn first two words Bold automatically", "cosonix"),
   "param_name" => "stop_bold",
   "value" => array(
      "" => "false"
   ),
   "description" => '',
));

/****************************************************
Removing default templates and adding custom template
****************************************************/
add_filter( 'vc_load_default_templates', 'my_custom_template_modify_array' ); // Remove default templates
function my_custom_template_modify_array( $data ) {
    return array(); // This will remove all default templates. Basically you should use native PHP functions to modify existing array and then return it.
}

add_action( 'vc_load_default_templates_action','fthemes_custom_template_for_vc' ); // Adding Custom template
function fthemes_custom_template_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = __( 'Cosonix One-Page eBook Layout', 'cosonix' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
        [vc_row full_width="stretch_row" css=".vc_custom_1441136754833{background-color: #edeef3 !important;}" el_id="home"][vc_column][home_block title="Beautiful Landing Page to sell your eBook" text="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque tempor sapien sed lectusols, egestas vel rutrum tellus semper. Vivamus suscipit ligula ac finibus ultricies. Etiam in urna, pellentesque, ornare ligula vitae, aliquam quam. Suspendisse sed velit mi tellus vel..." button_text="Sign Up and get your FREE copy!" buy_button_text="Buy Now" buy_button_url="#" read_button_text="Cosonix eBook" read_button_url="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="57px" use_container="" row_section_id="features" css=".vc_custom_1442051442048{background-color: #f5f5f5 !important;}" el_id="features"][vc_column width="1/2"][vc_single_image img_size="full" alignment="center" img_link_large="yes"][/vc_column][vc_column width="1/2"][vc_custom_heading text="Key Features Of The eBOOK" font_container="tag:h2|font_size:22px|text_align:left|color:%23323232|line_height:22px" use_theme_fonts="yes" fnt_weight="bold"][vc_column_text]Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum metus, volutpat auctor nibh est et orci. Donec molestie malesuada sapien, id varius tortorums finibus et. Integer ac nibh vitae velit feugiat porta vitae vel urna molestie malesuadasda.[/vc_column_text][vc_column_text]Nam pellentesque, erat a pharetra fringilla, felis ex elementum metus, volutpat auctor nibh est et orci. Donec molestie malesuada sapien.[/vc_column_text][custom_button type="button-icon" url="#" maxwidth="256px" button_text="Read more"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="20px" bottom_padding="87px" css=".vc_custom_1442051534247{background-color: #f5f5f5 !important;}"][vc_column width="1/3"][iconic_features title="Crafted with Love" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="coffee" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Erase your Fears" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="tablet" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Learn New Things" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="expand" read_more="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" use_container="" css=".vc_custom_1442051711602{border-bottom-width: -35px !important;}" el_id="subscribe"][vc_column][ft_newsletter title="This book will help you achieve your goals" text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum metuse, volutpat auctor nibh est et orci. Donec molestie malesuada sapien id varius tortor." button_text="Sign Up and get your FREE copy!" price="9.99" currency="$"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="37px" bottom_padding="87px" css=".vc_custom_1442051744958{background-color: #f9f9f9 !important;}" el_id="pricing"][vc_column][vc_custom_heading text="Awesome Pricing" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" use_theme_fonts="yes" fnt_weight="bold"][vc_empty_space height="50px"][vc_row_inner][vc_column_inner width="1/3"][ft_pricing plane_name="eBook" price="$85" button_url="#" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Printed" price="$125" button_url="#" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Exclusive" price="$150" button_url="#" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="48px" bottom_padding="100px" el_id="reviews"][vc_column][vc_custom_heading text="What people say about COSONIX?" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" use_theme_fonts="yes" fnt_weight="bold"][vc_row_inner][vc_column_inner width="1/4"][ft_testimonial text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Patricia Kelly" client_designation="Marketing Director"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Robert Dooley" client_designation="Account Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Natasha Doe" client_designation="PR Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="John Kelly" client_designation="Human Resources"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="71px" css=".vc_custom_1442051851431{background-color: #393735 !important;}" use_container="" el_id="overview"][vc_column width="1/2"][vc_single_image img_size="full" alignment="center"][/vc_column][vc_column width="1/2"][quickpeak title="QUICK PEAK INTO THE BOOK" text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum" sub_title_one="Fusce tincidunt, risus quis mollis vulputate" sub_text_one="Risus sapien vulputate massa, ac fermentum mi velit eu nulla." sub_text_icon_one="briefcase" sub_title_two="Elementum metus pheretra entosque" sub_text_two="Risus sapien vulputate fringilla, felis ex elementum metus velit eu nulla." sub_text_icon_two="comments" button_url="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" bottom_padding="88px" css=".vc_custom_1442051876756{background-color: #393735 !important;}" use_container=""][vc_column width="1/2"][ft_accordion number_of_tabs="3" title1="Aliquam viverra, libero ut sagittis vulputate" text1="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." title2="Cras ac faucibus velit libero a nisi" text2="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." title3="Duis maximus sed purus ut facilisis" text3="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." type="submit" url="" bg_color="" button_text="I am button" target=""][/vc_column][vc_column width="1/2"][ft_author author_name="Dr. John McCain" about_author="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." fb="#" tw="#" utube="#" gp="#" pn="#" in="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="50px" css=".vc_custom_1442662432534{background-color: #ecae1a !important;}"][vc_column][vc_custom_heading text="A Quick Peak Into The First Few Chapters of COSONIX!" font_container="tag:h1|font_size:33px|text_align:center|color:%23ffffff|line_height:33px" use_theme_fonts="yes"][vc_custom_heading text="Suspendisse pharetra magna a malesuada rutrum. Vivamus eget commodo augue. Duis ac elementum dui, ut tempus ligula. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus." font_container="tag:h5|font_size:15px|text_align:center|color:%23ffffff|line_height:24px" use_theme_fonts="yes"][ft_chapters chapter_one_title="Donec eu ex in turpis porttitor consectetur" chapter_one_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_two_title="Donec eu ex in turpis porttitor consectetur" chapter_two_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_three_title="Donec eu ex in turpis porttitor consectetur" chapter_three_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_four_title="Donec eu ex in turpis porttitor consectetur" chapter_four_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..."][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1442662528346{background-color: #2e2d2b !important;}"][vc_column][ft_contact sub_title="Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu...."][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','fthemes_custom_template_three_for_vc' ); // Adding Custom template
function fthemes_custom_template_three_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = __( 'Cosonix One-Page Travel Layout', 'cosonix' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
        [vc_row full_width="stretch_row" css=".vc_custom_1445062258325{background-image: url(http://fluentthemes.com/wp/cosonix-travel/wp-content/uploads/2015/08/slider-bg-travel7.png?id=1866) !important;}"][vc_column][home_block_two title="Find Your Special Holiday" text="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque tempor sapien sed lectusols, egestas vel rutrum tellus semper. Vivamus suscipit ligula ac finibus ultricies. Etiam in urna, pellentesque...." button_text="Get Special Tour Offers"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="50px" bottom_padding="100px" element_id="icon-features" css=".vc_custom_1443768485722{background-color: #fafafa !important;}" el_id="features"][vc_column width="1/3"][iconic_features title="Beautiful Places" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="image" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Best Prices" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="check" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Support 24/7" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="comments" read_more="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="80px" bottom_padding="30px" element_id="vertical-tab" css=".vc_custom_1445062737704{background-color: #01a9f4 !important;}" el_id="deals"][vc_column][vc_custom_heading text="Deals &amp; Discounts" font_container="tag:h1|font_size:33px|text_align:center|color:%23ffffff|line_height:33px" use_theme_fonts="yes"][vc_custom_heading text="Suspendisse pharetra magna a malesuada rutrum. Vivamus eget commodo augue. Duis ac elementum dui, ut tempus ligula. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan..." font_container="tag:h5|font_size:15px|text_align:center|color:%23e5e5e5|line_height:24px" use_theme_fonts="yes"][ft_chapters chapter_one_img="1878" chapter_two_img="1882" chapter_three_img="1880" chapter_four_img="1884" chapter_one_title="Donec eu ex in turpis porttitor consectetur" chapter_one_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_two_title="Donec eu ex in turpis porttitor consectetur" chapter_two_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_three_title="Donec eu ex in turpis porttitor consectetur" chapter_three_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_four_title="Donec eu ex in turpis porttitor consectetur" chapter_four_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..."][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="120px" bottom_padding="70px" css=".vc_custom_1445018273244{background-color: #ffffff !important;}" use_container="" el_id="overview"][vc_column width="1/2"][vc_single_image image="1870" img_size="full" alignment="center"][/vc_column][vc_column width="1/2"][quickpeak title_color="#363533" text_color="#787878" icon_color="#01a9f4" title="Sport Packages" text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum" sub_title_one="Team Sport" sub_text_one="Risus sapien vulputate massa, ac fermentum mi velit eu nulla." sub_text_icon_one="futbol-o" sub_title_two="Over 200 Destinations" sub_text_two="Risus sapien vulputate fringilla, felis ex elementum metus velit eu nulla. risus sapien vulputate massa risus sapien vulputate massa" sub_text_icon_two="map-marker" button_text="Read More" button_url="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="48px" bottom_padding="100px" el_id="reviews" css=".vc_custom_1445018090939{background-color: #f9f9f9 !important;}"][vc_column][vc_custom_heading text="Meet Our Trip Organizers" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" use_theme_fonts="yes" fnt_weight="bold"][vc_row_inner][vc_column_inner width="1/4"][ft_testimonial client_image="225" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie." client_name="Patricia Kelly" client_designation="Marketing Director"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="230" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie." client_name="Robert Dooley" client_designation="Account Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="231" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie." client_name="Natasha Doe" client_designation="PR Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="232" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie." client_name="John Kelly" client_designation="Human Resources"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" css=".vc_custom_1444969643916{background: #858a9e url(http://fluentthemes.com/wp/cosonix-travel/wp-content/uploads/2015/08/newsletter-bg-travel6.png?id=1898) !important;}" el_id="get-started"][vc_column width="1/2" offset="vc_hidden-sm vc_hidden-xs"][/vc_column][vc_column width="1/2" offset="vc_col-sm-offset-0"][vc_empty_space height="100px"][vc_custom_heading text="Start your Trip Today" font_container="tag:h2|font_size:26px|text_align:left|color:%23ffffff|line_height:30px" use_theme_fonts="yes" fnt_weight="600"][vc_custom_heading text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum metuse, volutpat pharetra orci..." font_container="tag:h3|font_size:16px|text_align:left|color:%23ced0d8|line_height:22px" use_theme_fonts="yes"][vc_empty_space height="50px"][contact-form-7 id="1770"][vc_empty_space height="70px"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="60px" bottom_padding="87px" css=".vc_custom_1444919822882{background-color: #fafafa !important;}" el_id="pricing"][vc_column][vc_custom_heading text="Premium Packages" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" use_theme_fonts="yes" fnt_weight="bold"][vc_empty_space height="50px"][vc_row_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Personal" price="$85" button_url="#" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Business Plan" price="$125" button_url="#" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Professional" price="$250" button_url="#" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="75px" bottom_padding="55px" css=".vc_custom_1444919863148{background-color: #ffffff !important;}"][vc_column width="1/3"][ft_icon_features title="Best Prices" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="credit-card"][/vc_column][vc_column width="1/3"][ft_icon_features title="365 days a year" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi. ei fermentum mi velit eu nulla." icon="calendar"][/vc_column][vc_column width="1/3"][ft_icon_features title="How does it work" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="cogs"][/vc_column][vc_column][vc_row_inner][vc_column_inner width="1/3"][ft_icon_features title="Cheapest Flights" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="plane"][/vc_column_inner][vc_column_inner width="1/3"][ft_icon_features title="Over 200 Destinations" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi. ei fermentum mi velit eu nulla." icon="map-marker"][/vc_column_inner][vc_column_inner width="1/3"][ft_icon_features title="Support 24/7" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="comments"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" parallax="content-moving" has_shadow="false" css=".vc_custom_1444916668930{background-image: url(http://fluentthemes.com/wp/cosonix-travel/wp-content/uploads/2015/08/contact-us-bg.jpg?id=137) !important;}" use_container="" el_id="contact"][vc_column][ft_contact sub_title="Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu...."][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','fthemes_custom_template_four_for_vc' ); // Adding Custom template
function fthemes_custom_template_four_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = __( 'Cosonix One-Page App Layout', 'cosonix' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
        [vc_row full_width="stretch_row" css=".vc_custom_1445152630907{background: #019589 url(http://fluentthemes.com/wp/cosonix-app/wp-content/uploads/2015/08/app-bg4.jpg?id=584) !important;}"][vc_column][home_block title="Delicious App Landing Page" title_color="#ffffff" text="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque tempor sapien sed lectusols, egestas vel rutrum tellus semper. Vivamus suscipit ligula ac finibus ultricies. Etiam in urna, pellentesque, ornare ligula vitae, aliquam qua..." text_color="#ffffff" button_text="Notify Me" image="593"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="30px" bottom_padding="90px" element_id="icon-features" css=".vc_custom_1445161059871{background-color: #f5f5f5 !important;}" el_id="features"][vc_column width="1/3"][iconic_features title="Simple and Easy" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="coffee" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="No Network Restriction" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="tablet" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Fastest in the World" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="expand" read_more="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" use_container="" css=".vc_custom_1445157240338{border-bottom-width: -35px !important;background-color: #007569 !important;}" el_id="subscribe"][vc_column width="1/2"][vc_single_image image="614" img_size="full" alignment="center" css_animation="appear"][/vc_column][vc_column width="1/2"][vc_empty_space height="100px"][vc_custom_heading text="Sign Up to get your FREE version!" font_container="tag:h2|font_size:32px|text_align:left|color:%23ffffff|line_height:32px" use_theme_fonts="yes" fnt_weight="bold"][vc_custom_heading text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum metuse, volutpat auctor nibh est et pharetra orci." font_container="tag:h2|font_size:15px|text_align:left|color:%23ffffff|line_height:22px" use_theme_fonts="yes"][vc_custom_heading text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra...." font_container="tag:h2|font_size:15px|text_align:left|color:%23ffffff|line_height:22px" use_theme_fonts="yes"][vc_empty_space][contact-form-7 id="615"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="120px" bottom_padding="80px" css=".vc_custom_1445161370394{background-color: #ffffff !important;}" use_container=""][vc_column width="1/2"][vc_single_image image="603" img_size="full" alignment="center"][/vc_column][vc_column width="1/2"][quickpeak title_color="#363531" text_color="#787878" icon_color="#019589" title="How does it work?" text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum" sub_title_one="Advanced Settings" sub_text_one="Risus sapien vulputate massa, ac fermentum mi velit eu nulla." sub_text_icon_one="cog" sub_title_two="Super User Friendly" sub_text_two="Risus sapien vulputate fringilla, felis ex elementum metus velit eu nulla." sub_text_icon_two="comments" button_text="Read More" button_url="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="48px" bottom_padding="100px" el_id="reviews" css=".vc_custom_1445156154004{background-color: #f9f9f9 !important;}"][vc_column][vc_custom_heading text="What People Say About Our App?" font_container="tag:h2|font_size:32px|text_align:center|color:%23323232|line_height:32px" use_theme_fonts="yes" fnt_weight="bold"][vc_row_inner][vc_column_inner width="1/4"][ft_testimonial client_image="225" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Patricia Kelly" client_designation="Marketing Director"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="230" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Robert Dooley" client_designation="Account Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="231" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Natasha Doe" client_designation="PR Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="232" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="John Kelly" client_designation="Human Resources"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="80px" bottom_padding="30px" element_id="vertical-tab" css=".vc_custom_1445163211743{background-color: #019589 !important;}" el_id="presentation"][vc_column][vc_custom_heading text="Publish your App with Quality Presentation!" font_container="tag:h1|font_size:33px|text_align:center|color:%23ffffff|line_height:33px" use_theme_fonts="yes"][vc_custom_heading text="Suspendisse pharetra magna a malesuada rutrum. Vivamus eget commodo augue. Duis ac elementum dui, ut tempus ligula. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus. Ascelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus...." font_container="tag:h5|font_size:15px|text_align:center|color:%23ffffff|line_height:24px" use_theme_fonts="yes"][ft_chapters chapter_one_title="Morbi ornare nec magna id luctus" chapter_one_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_two_title="Fastest in the world" chapter_two_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_three_title="Vivamus vel placer nibh" chapter_three_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_four_title="Suspendisse non erat a nisl venenatis faucibus" chapter_four_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_one_main_title="Smooth Animation" chapter_two_main_title="Premium Quality" chapter_three_main_title="Beautiful Interface" chapter_four_main_title="Built With Love"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="55px" bottom_padding="87px" css=".vc_custom_1445161474370{background-color: #f9f9f9 !important;}" el_id="pricing"][vc_column][vc_custom_heading text="Awesome Pricing" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" use_theme_fonts="yes" fnt_weight="bold"][vc_empty_space height="50px"][vc_row_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Basic" price="$85" button_text="Choose Me" button_url="#" features="rutrum bibendum
neque sit amet
tristique estibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
eni nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Advanced" price="$225" button_text="Choose Me" button_url="#" features="rutrum bibendum
neque sit amet
tristique lig estibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enimsi condimentum
neque sit amet
ligula ut vestibulum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Standard" price="$200" button_text="Choose Me" button_url="#" features="rutrum bibendum
neque sit amet
tristique estibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
eni nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="55px" bottom_padding="60px" css=".vc_custom_1445162755684{background-color: #ffffff !important;}"][vc_column width="1/3"][vc_empty_space][ft_icon_features title="Best Prices" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="credit-card"][/vc_column][vc_column width="1/3"][vc_empty_space][ft_icon_features title="No Network Restriction" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="tablet"][/vc_column][vc_column width="1/3"][vc_empty_space][ft_icon_features title="How does it work" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="cogs"][/vc_column][vc_column][vc_row_inner][vc_column_inner width="1/3"][vc_empty_space][ft_icon_features title="Fastest in the World" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="expand"][/vc_column_inner][vc_column_inner width="1/3"][vc_empty_space][ft_icon_features title="Simple and Easy" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi. ei fermentum mi velit eu nulla." icon="coffee"][/vc_column_inner][vc_column_inner width="1/3"][vc_empty_space][ft_icon_features title="Support 24/7" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="comments"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" parallax="content-moving" has_shadow="false" css=".vc_custom_1441136403219{background-image: url(http://fluentthemes.com/wp/cosonix-app/wp-content/uploads/2015/08/contact-us-bg1.jpg?id=250) !important;}" use_container="" el_id="contact"][vc_column][ft_contact sub_title="Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu...."][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','fthemes_custom_template_five_for_vc' ); // Adding Custom template
function fthemes_custom_template_five_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = __( 'Cosonix One-Page Attorney Layout', 'cosonix' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
        [vc_row full_width="stretch_row" element_id="home" css=".vc_custom_1444812762561{background-image: url(http://fluentthemes.com/wp/cosonix-red/wp-content/uploads/2015/08/slider-img.jpg?id=1765) !important;}"][vc_column][home_block_two title="We Provide You Legal Help" text="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque tempor sapien sed lectusols, egestas vel rutrum tellus semper. Vivamus suscipit ligula ac finibus ultricies. Etiam in urna, pellentesque, ornare ligula vitae, aliquam qua..." button_text="Sign Up to our Newsletter"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="50px" bottom_padding="100px" element_id="icon-features" css=".vc_custom_1443768485722{background-color: #fafafa !important;}" el_id="features"][vc_column width="1/3"][iconic_features title="Tax Disputes" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="money" read_more="#"][vc_empty_space height="50px"][iconic_features title="Real Estate" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="building-o" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Medical Abuse" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="wheelchair" read_more="#"][vc_empty_space height="50px"][iconic_features title="Domestic Violence" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="female" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Aviation" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="plane" read_more="#"][vc_empty_space height="50px"][iconic_features title="Environmental Law" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="leaf" read_more="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="50px" element_id="vertical-tab" css=".vc_custom_1445361794818{background-color: #e91e63 !important;}" el_id="case-study"][vc_column][vc_custom_heading text="A Quick Peak Into Some of Our Case Results" font_container="tag:h1|font_size:33px|text_align:center|color:%23ffffff|line_height:33px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:300%20light%20regular%3A300%3Anormal" fnt_weight="200"][vc_custom_heading text="Suspendisse pharetra magna a malesuada rutrum. Vivamus eget commodo augue. Duis ac elementum dui, ut tempus ligula. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus." font_container="tag:h5|font_size:15px|text_align:center|color:%23ffffff|line_height:24px" use_theme_fonts="yes" stop_bold="false"][ft_chapters chapter_one_img="1861" chapter_two_img="500" chapter_three_img="502" chapter_four_img="1863" chapter_one_title="Donec eu ex in turpis porttitor consectetur" chapter_one_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_two_title="Donec eu ex in turpis porttitor consectetur" chapter_two_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_three_title="Donec eu ex in turpis porttitor consectetur" chapter_three_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_four_title="Donec eu ex in turpis porttitor consectetur" chapter_four_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_one_main_title="Domestic Violence" chapter_two_main_title="Auto Accident" chapter_three_main_title="Medical Malpractice" chapter_four_main_title="Motorcycle Accident"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="71px" bottom_padding="60px" css=".vc_custom_1445361881830{background-color: #ffffff !important;}" use_container="" el_id="about"][vc_column][vc_row_inner][vc_column_inner width="1/2"][vc_single_image image="1869" img_size="full"][/vc_column_inner][vc_column_inner width="1/2"][quickpeak title_color="#363531" text_color="#787878" icon_color="#e91e63" title="About Us" text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla." sub_title_one="Who we are" sub_text_one="Risus sapien vulputate massa, ac fermentum mi velit eu nulla." sub_text_icon_one="comments" sub_title_two="Our philosophy" sub_text_two="Risus sapien vulputate fringilla, felis ex elementum metus velit eu nulla." sub_text_icon_two="eye" sub_title_three="Risus sapien vulputate massa" sub_text_three="Vulputate isus sapien vulputate fringilla, felis ex elementum metus velit." sub_text_icon_three="leaf" button_text="Read More" button_url="#"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="48px" bottom_padding="80px" el_id="reviews" css=".vc_custom_1445371464965{background-color: #f9f9f9 !important;}"][vc_column][vc_custom_heading text="Meet Our Attorneys" font_container="tag:h2|font_size:30px|text_align:center|color:%23323232|line_height:30px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:300%20light%20regular%3A300%3Anormal" fnt_weight="200"][vc_row_inner][vc_column_inner width="1/4"][ft_testimonial client_image="225" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero." client_name="Patricia Kelly" client_designation="Associate"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="230" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero." client_name="Robert Dooley" client_designation="Associate"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="231" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero." client_name="Natasha Doe" client_designation="Associate"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="232" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero." client_name="John Kelly" client_designation="Associate"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="60px" bottom_padding="87px" css=".vc_custom_1445361965698{background-color: #ffffff !important;}" el_id="approach"][vc_column][vc_custom_heading text="How We Approach" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:300%20light%20regular%3A300%3Anormal" fnt_weight="200"][vc_row_inner][vc_column_inner width="1/3"][vc_empty_space height="50px"][ft_icon_features title="Free Consultation" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="comments"][vc_empty_space height="50px"][ft_icon_features title="Powerful Theme Options" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="bolt"][/vc_column_inner][vc_column_inner width="1/3"][vc_empty_space height="50px"][ft_icon_features title="Millions Recovered" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="money"][vc_empty_space height="50px"][ft_icon_features title="Easy Customization" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi. Praesent vitae sodales tellus." icon="cog"][/vc_column_inner][vc_column_inner width="1/3"][vc_empty_space height="50px"][ft_icon_features title="Careful Documentation" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="eye"][vc_empty_space height="50px"][ft_icon_features title="Innovative Ideas" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="lightbulb-o"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" parallax="content-moving" has_shadow="false" css=".vc_custom_1441136403219{background-image: url(http://fluentthemes.com/wp/cosonix-red/wp-content/uploads/2015/08/contact-us-bg1.jpg?id=250) !important;}" use_container="" el_id="contact"][vc_column][ft_contact sub_title="Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu...."][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}


add_action( 'vc_load_default_templates_action','fthemes_custom_template_six_for_vc' ); // Adding Custom template
function fthemes_custom_template_six_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = __( 'Cosonix One-Page Portfolio Layout', 'cosonix' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
        [vc_row full_width="stretch_row" element_id="home" css=".vc_custom_1451237365062{background-color: #f9f9f9 !important;}"][vc_column][rev_slider_vc alias="agency-website-header"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="15px" bottom_padding="80px" element_id="icon-features" css=".vc_custom_1451235906564{background-color: #f9f9f9 !important;}" el_id="features"][vc_column width="1/3"][iconic_features title="1 Click Demo Installation" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="coffee" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Ultra Responsive Design" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="tablet" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Drag &amp; Drop Page Builder" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo. Maecenas dignissim perlimo sato ut neque vel mi sollicitudin dignissim perlimo sato wako." icon="expand" read_more="#"][/vc_column][/vc_row][vc_row full_width="stretch_row_content" gap="25" css=".vc_custom_1451239681438{background: #f2f2f2 url(http://fluentthemes.com/wp/cosonix-portfolio/wp-content/uploads/2015/08/port-bg.jpg?id=687) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}" el_id="about"][vc_column width="1/2" css=".vc_custom_1451154655258{margin-top: 0px !important;margin-right: 30px !important;margin-bottom: 0px !important;margin-left: 0px !important;border-top-width: 0px !important;border-bottom-width: 0px !important;border-left-width: 0px !important;padding-top: 0px !important;padding-right: 0px !important;padding-bottom: 0px !important;padding-left: 0px !important;}"][/vc_column][vc_column width="1/2" css=".vc_custom_1451158385446{background-color: #ffffff !important;}"][vc_custom_heading text="We Build Your Dream" font_container="tag:h1|font_size:35px|text_align:left|color:%23323232|line_height:40px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:200%20light%20regular%3A200%3Anormal" fnt_weight="200"][vc_empty_space height="12px"][vc_custom_heading text="WHAT WE DO" font_container="tag:h2|font_size:18PX|text_align:left|color:%23323232|line_height:22PX" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:500%20bold%20regular%3A500%3Anormal" fnt_weight="bold" stop_bold="false"][vc_custom_heading text="Sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent commodo arcu massa penatibus etrop nascetur montes arcu." font_container="tag:h4|font_size:15PX|text_align:left|color:%23787878|line_height:24PX" use_theme_fonts="yes" stop_bold="false"][vc_empty_space height="12px"][vc_custom_heading text="WHAT WE OFFER" font_container="tag:h2|font_size:18PX|text_align:left|color:%23323232|line_height:22PX" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:500%20bold%20regular%3A500%3Anormal" fnt_weight="bold" stop_bold="false"][vc_custom_heading text="Sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent commodo arcu massa penatibus etrop nascetur montes arcu." font_container="tag:h4|font_size:15PX|text_align:left|color:%23787878|line_height:24PX" use_theme_fonts="yes" stop_bold="false"][vc_empty_space height="12px"][vc_custom_heading text="WHAT YOU ACHIEVE" font_container="tag:h2|font_size:18PX|text_align:left|color:%23323232|line_height:22PX" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:500%20bold%20regular%3A500%3Anormal" fnt_weight="bold" stop_bold="false"][vc_custom_heading text="Sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Praesent commodo arcu massa penatibus etrop nascetur montes arcu." font_container="tag:h4|font_size:15PX|text_align:left|color:%23787878|line_height:24PX" use_theme_fonts="yes" stop_bold="false"][vc_empty_space height="20px"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="57px" bottom_padding="40px" css=".vc_custom_1451239709675{background-color: #f9f9f9 !important;}" el_id="work"][vc_column][vc_custom_heading text="Present Your Best Work" font_container="tag:h2|font_size:36px|text_align:center|color:%23323232|line_height:38px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:200%20light%20regular%3A200%3Anormal" fnt_weight="200"][vc_custom_heading text="Sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus musraesent commodo arcu massa penatibus" font_container="tag:h4|font_size:16px|text_align:center|color:%23787878|line_height:26px" use_theme_fonts="yes" stop_bold="false"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" equal_height="yes" bottom_padding="100px" css=".vc_custom_1451158411815{margin-right: 0px !important;margin-left: 0px !important;border-right-width: 0px !important;border-left-width: 0px !important;padding-right: 0px !important;padding-left: 0px !important;background-color: #f9f9f9 !important;}"][vc_column width="1/4" css=".vc_custom_1450122761492{margin-right: 0px !important;margin-left: 0px !important;border-right-width: 0px !important;border-left-width: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}"][ft_portfolio project_image="652" project_category="ART DIRECTION" project_title="Firm House" project_url="###" project_bg_color="#4a90e2"][ft_portfolio project_image="656" project_category="WEB DESIGN" project_title="Sloco Imsam" project_url="###" project_bg_color="#4a90e2"][/vc_column][vc_column width="1/4" css=".vc_custom_1450122899176{margin-right: 0px !important;margin-left: 0px !important;border-right-width: 0px !important;border-left-width: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}"][ft_portfolio project_image="651" project_category="WEB DESIGN" project_title="River Bird" project_url="###" project_bg_color="#4a90e2"][ft_portfolio project_image="654" project_category="WEB DEVELOPMENT" project_title="Laptop Ulia" project_url="###" project_bg_color="#4a90e2"][/vc_column][vc_column width="1/4" css=".vc_custom_1450122789833{margin-right: 0px !important;margin-left: 0px !important;border-right-width: 0px !important;border-left-width: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}"][ft_portfolio project_image="650" project_category="BRANDING" project_title="Car Parts" project_url="###" project_bg_color="#4a90e2"][ft_portfolio project_image="655" project_category="WEB DESIGN" project_title="Seduku Fika" project_url="###" project_bg_color="#4a90e2"][/vc_column][vc_column width="1/4" css=".vc_custom_1450122911754{margin-right: 0px !important;margin-left: 0px !important;border-right-width: 0px !important;border-left-width: 0px !important;padding-right: 0px !important;padding-left: 0px !important;}"][ft_portfolio project_image="649" project_category="MARKETING" project_title="Motor Byke" project_url="###" project_bg_color="#4a90e2"][ft_portfolio project_image="653" project_category="MARKETING" project_title="Heiue Bar" project_url="###" project_bg_color="#4a90e2"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="57px" bottom_padding="87px" css=".vc_custom_1451158429359{background-color: #ffffff !important;}" el_id="pricing"][vc_column][vc_custom_heading text="Our Awesome Pricing" font_container="tag:h2|font_size:36px|text_align:center|color:%23323232|line_height:38px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:200%20light%20regular%3A200%3Anormal" fnt_weight="200"][vc_custom_heading text="Sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus musraesent commodo arcu massa penatibus" font_container="tag:h4|font_size:16px|text_align:center|color:%23787878|line_height:26px" use_theme_fonts="yes" stop_bold="false"][vc_empty_space height="60px"][vc_row_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Easy" price="$85" button_text="Choose Me" paypal="true" email="example@gmail.com" amount="85" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Standard" price="$125" button_text="Choose Me" paypal="true" email="example@gmail.com" amount="125" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][vc_column_inner width="1/3"][ft_pricing plane_name="Exclusive" price="$150" button_text="Choose Me" paypal="true" email="example@gmail.com" amount="150" features="rutrum bibendum
neque sit amet
tristique ligula ut vestibulum
condimentum egestas
tortor finibus et
ipsum metus molestie
enim nec nisi condimentum
condimentum egestas
tortor finibus et metus"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="48px" bottom_padding="100px" el_id="reviews" css=".vc_custom_1451158448179{background-color: #f9f9f9 !important;}"][vc_column][vc_custom_heading text="What people say about COSONIX?" font_container="tag:h2|font_size:36px|text_align:center|color:%23323232|line_height:38px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:200%20light%20regular%3A200%3Anormal" fnt_weight="200"][vc_row_inner][vc_column_inner width="1/4"][ft_testimonial client_image="225" quote="true" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Patricia Kelly" client_designation="Marketing Director"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="230" quote="true" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Robert Dooley" client_designation="Account Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="231" quote="true" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="Natasha Doe" client_designation="PR Manager"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="232" quote="true" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum. Pellentesque commodo, justo eu molestie vehicula, velit tortor sodales lectus, id suscipit augue ex ut justo." client_name="John Kelly" client_designation="Human Resources"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="87px" bottom_padding="30px" css=".vc_custom_1451239796265{background-color: #393735 !important;}" use_container="" el_id="faq"][vc_column width="1/2" css=".vc_custom_1449953571605{padding-top: 0px !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}"][vc_single_image image="670" img_size="full" alignment="center" style="vc_box_outline" border_color="black"][/vc_column][vc_column width="1/2"][quickpeak title="QUICK PEAK INTO OUR PROJECTS" text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra fringilla, felis ex elementum" sub_title_one="Fusce tincidunt, risus quis mollis vulputate" sub_text_one="Risus sapien vulputate massa, ac fermentum mi velit eu nulla." sub_text_icon_one="briefcase" sub_title_two="Elementum metus pheretra entosque" sub_text_two="Risus sapien vulputate fringilla, felis ex elementum metus velit eu nulla." sub_text_icon_two="comments" sub_title_three="Metus elementum pheretra entosque" sub_text_three="Risus sapien vulputate fringilla, felis ex elementum metus velit eu." sub_text_icon_three="cubes"][/vc_column][/vc_row][vc_row full_width="stretch_row" bottom_padding="88px" css=".vc_custom_1442047351043{background-color: #393735 !important;}" use_container=""][vc_column width="1/2"][ft_accordion number_of_tabs="3" title1="Aliquam viverra, libero ut sagittis vulputate" text1="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." title2="Cras ac faucibus velit libero a nisi" text2="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." title3="Duis maximus sed purus ut facilisis" text3="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." type="submit" url="" bg_color="" button_text="I am button" target=""][/vc_column][vc_column width="1/2"][ft_author author_image="228" author_sign="128" author_name="Dr. John McCain - CEO" about_author="Aenean tempor urna accumsan pharetra pharetra. Aliquam viverra, libero ut sagittis vulputate, turpis arcu pellentesque tellus, ut tempus odio ante in lacus. Quisque accumsan et lacus rhoncus.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum. Duis maximus sed purus ut facilisis." fb="#" tw="#" pn="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="50px" element_id="vertical-tab" css=".vc_custom_1451239818536{background-color: #627190 !important;}" el_id="team"][vc_column][vc_custom_heading text="Meet Our Awesome Team!" font_container="tag:h1|font_size:33px|text_align:center|color:%23ffffff|line_height:33px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:100%20light%20regular%3A100%3Anormal" fnt_weight="100"][vc_custom_heading text="Suspendisse pharetra magna a malesuada rutrum. Vivamus eget commodo augue. Duis ac elementum dui, ut tempus ligula. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu." font_container="tag:h5|font_size:15px|text_align:center|color:%23ffffff|line_height:24px" use_theme_fonts="yes" stop_bold="false"][ft_chapters chapter_one_img="664" chapter_two_img="662" chapter_three_img="665" chapter_four_img="663" chapter_one_title="Donec eu ex in turpis porttitor consectetur" chapter_one_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_two_title="Donec eu ex in turpis porttitor consectetur" chapter_two_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_three_title="Donec eu ex in turpis porttitor consectetur" chapter_three_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_four_title="Donec eu ex in turpis porttitor consectetur" chapter_four_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_one_main_title="Director" chapter_two_main_title="CHAIRMAN" chapter_three_main_title="Developer" chapter_four_main_title="Designer"][/vc_column][/vc_row][vc_row full_width="stretch_row" parallax="content-moving" has_shadow="false" css=".vc_custom_1441136403219{background-image: url(http://fluentthemes.com/wp/cosonix-portfolio/wp-content/uploads/2015/08/contact-us-bg1.jpg?id=250) !important;}" use_container="" el_id="contact"][vc_column][ft_contact sub_title="Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu...."][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','fthemes_custom_template_seven_for_vc' ); // Adding Custom template
function fthemes_custom_template_seven_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = __( 'Cosonix One-Page Medical Layout', 'cosonix' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
        [vc_row full_width="stretch_row" css=".vc_custom_1445464307450{background: #d2d9e3 url(http://fluentthemes.com/wp/cosonix-medical/wp-content/uploads/2015/10/home-bg-img21.jpg?id=651) !important;}"][vc_column][home_block title="We Care About Every Patient" title_color="#383d48" text="Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque tempor sapien sed lectusols, egestas vel rutrum tellus semper. Vivamus suscipit ligula ac finibus ultricies. Etiam in urna, pellentesque, ornare ligula vitae..." text_color="#4c6880" button_text="Sign Up to get SPECIAL treatments!" image="654" height="620px"][/vc_column][/vc_row][vc_row full_width="stretch_row" el_id="features" css=".vc_custom_1445889729440{background-color: #f5f5f5 !important;}"][vc_column][vc_empty_space height="35px"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" bottom_padding="90px" element_id="icon-features" css=".vc_custom_1445889629549{background-color: #f5f5f5 !important;}"][vc_column width="1/3"][iconic_features title="Pay Bills Online" text="Btan sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id ilu." icon="paypal" readmore="Read More" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Get Ambulance" text="Cras sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id leo." icon="ambulance" readmore="Read More" read_more="#"][/vc_column][vc_column width="1/3"][iconic_features title="Find a Doctor" text="Btan sodales, velit quis placerat tempor, velit arcu dapibus erat, nec tempor dui nisl id ilu." icon="stethoscope" readmore="Read More" read_more="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="80px" bottom_padding="30px" element_id="vertical-tab" css=".vc_custom_1445774812158{background-color: #627190 !important;}" el_id="info"][vc_column][vc_custom_heading text="Patient Care and Health Information" font_container="tag:h1|font_size:33px|text_align:center|color:%23ffffff|line_height:40px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:400%20regular%3A400%3Anormal" fnt_weight="200"][vc_empty_space height="20px"][vc_custom_heading text="Suspendisse pharetra magna a malesuada rutrum. Vivamus eget commodo augue. Duis ac elementum dui, ut tempus ligula. Mauris non eleifend libero, quis volutpat odio. Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus. Ascelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu. Nullam varius non risus...." font_container="tag:h5|font_size:15px|text_align:center|color:%23ffffff|line_height:24px" use_theme_fonts="yes" stop_bold="false"][ft_chapters chapter_one_img="662" chapter_two_img="666" chapter_three_img="664" chapter_four_img="668" chapter_one_title="Morbi ornare nec magna id luctus" chapter_one_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_two_title="Fastest in the world" chapter_two_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_three_title="Vivamus vel placer nibh" chapter_three_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_four_title="Suspendisse non erat a nisl venenatis faucibus" chapter_four_description="Morbi ornare nec magna id luctus. Vivamus vel placer nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et. Vivamus neque elit, hendrerit id volutpat ac, porta ultricies arcu. Suspendisse non erat a nisl venenatis faucibus.

Duis aliquet orci eget nunc commodo imperdiet ac id justo. In hac habitasse platea dictumst. Vivamus ante elit, maximus vitae augue in, fermentum condimentum turpis. Quisque fermentum purus eu sem laoreet aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut at leo placerat.

Ipsum vitae, mattis est. Vivamus vel placerat nibh. Aliquam ipsum lorem, pretium dictum gravida nec, blandit id nunc. Sed dictum eget dui vitae finibus. Mauris egestas viverra est, porttitor blandit est semper et..." chapter_one_main_title="Intensive Care" chapter_two_main_title="Dental Science" chapter_three_main_title="Eye Care" chapter_four_main_title="Cardiology"][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" top_padding="48px" bottom_padding="100px" el_id="reviews" css=".vc_custom_1445774843418{background-color: #f9f9f9 !important;}"][vc_column][vc_custom_heading text="Meet Out Medical Specialists" font_container="tag:h2|font_size:32px|text_align:center|color:%23323232|line_height:32px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:400%20regular%3A400%3Anormal" fnt_weight="200"][vc_row_inner][vc_column_inner width="1/4"][ft_testimonial client_image="674" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum" client_name="Dr. Patricia Kelly" client_designation="Neuro Surgeon"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="676" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum" client_name="Dr. Ella Dea" client_designation="Gynocologist"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="672" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum" client_name="Dr. Robert Peterson" client_designation="Medical Specialist"][/vc_column_inner][vc_column_inner width="1/4"][ft_testimonial client_image="670" bg_color="#ffffff" text="Morbi elementum dignissim dui, vel consectetur enim placerat quis. Donec non lacinia lectus, ut placerat libero. Nunc vestibulum eros vitae enim feugiat porttitor. Nam suscipit metus vitae rutrum bibendum" client_name="Dr. Natasha Doe" client_designation="Dental Surgeon"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" has_shadow="false" use_container="" css=".vc_custom_1445774857605{border-bottom-width: -35px !important;background-color: #627190 !important;}" el_id="appointment"][vc_column width="1/2" offset="vc_hidden-xs"][vc_single_image image="653" img_size="full" alignment="center" css_animation="appear"][/vc_column][vc_column width="1/2"][vc_empty_space height="100px"][vc_custom_heading text="Make an Appointment" font_container="tag:h2|font_size:26px|text_align:left|color:%23ffffff|line_height:26px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:400%20regular%3A400%3Anormal" fnt_weight="200"][vc_custom_heading text="Fusce tincidunt, risus quis mollis vulputate, risus sapien vulputate massa, ac fermentum mi velit eu nulla. Nam pellentesque, erat a pharetra...." font_container="tag:h2|font_size:15px|text_align:left|color:%23ffffff|line_height:22px" use_theme_fonts="yes" stop_bold="false"][vc_empty_space][contact-form-7 id="682"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="70px" bottom_padding="87px" css=".vc_custom_1445774873086{background-color: #ffffff !important;}" el_id="about"][vc_column width="1/2"][vc_custom_heading text="Our Helpful Departments" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:400%20regular%3A400%3Anormal" fnt_weight="200"][vc_empty_space][ft_accordion ac_title_color="#383d48" ac_text_color="#4c6880" ac_border_color="#dceaf6" ac_icon_color="#0ea6fa" number_of_tabs="4" title1="Pregnancy" text1="Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries." title2="Micro Biology" text2="Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries." title3="Eye Care" text3="Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries." title4="General Medicine" text4="Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries." title_color="#323232" text_color="#787878" border_color="#ffffff"][/vc_column][vc_column width="1/2"][vc_custom_heading text="Our Honorable Director" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:400%20regular%3A400%3Anormal" fnt_weight="200"][vc_empty_space][ft_author author_name_color="#383d48" author_image="710" text_color="#4c6880" border_color="#dceaf6" icon_bg_color="#ffffff" author_name="Dr. John Doe" about_author="Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries.

Cras ac faucibus velit. Pellentesque mollis ornare feugiat. Quisque condimentum nisi at erat ultricies euismod. Vivamus porta libero a nisi tincidunt pellentesque sodales vitae ipsum. Mauris id arcu eu libero pellentesque consequat vitae quis odio. Nullam dapibus porta ipsum, quis porta erat vehicula id. Duis ac massa non justo fermentum condimentum.

Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries." fb="#" tw="#" gp="#" pn="#" in="#" utube="#"][/vc_column][/vc_row][vc_row full_width="stretch_row" el_id="services" css=".vc_custom_1445629874570{background-color: #ffffff !important;}"][vc_column][vc_custom_heading text="Our Awesome Services" font_container="tag:h2|font_size:26px|text_align:center|color:%23323232|line_height:26px" google_fonts="font_family:Raleway%3A100%2C200%2C300%2Cregular%2C500%2C600%2C700%2C800%2C900|font_style:400%20regular%3A400%3Anormal" fnt_weight="200"][/vc_column][/vc_row][vc_row full_width="stretch_row" top_padding="55px" bottom_padding="370px" css=".vc_custom_1445775771730{background: #ffffff url(http://fluentthemes.com/wp/cosonix-medical/wp-content/uploads/2015/10/team.png?id=705) !important;}" el_class="new-services"][vc_column width="1/3"][vc_empty_space][ft_icon_features title="General Medical" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="medkit"][/vc_column][vc_column width="1/3"][vc_empty_space][ft_icon_features title="Emergencies" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="ambulance"][/vc_column][vc_column width="1/3"][vc_empty_space][ft_icon_features title="Cardiology" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="heart"][/vc_column][vc_column][vc_row_inner][vc_column_inner width="1/3"][vc_empty_space][ft_icon_features title="X-Ray and CT-Scan" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="search"][/vc_column_inner][vc_column_inner width="1/3"][vc_empty_space][ft_icon_features title="Health Care" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi. ei fermentum mi velit eu nulla." icon="wheelchair"][/vc_column_inner][vc_column_inner width="1/3"][vc_empty_space][ft_icon_features title="Neurology" text="Sed ac est euismod, accumsan euismod, elementum mauris. Nunc ut enim nec nisi condimentum ultrices a sed mi." icon="user-md"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row" parallax="content-moving" has_shadow="false" css=".vc_custom_1441136403219{background-image: url(http://fluentthemes.com/wp/cosonix-medical/wp-content/uploads/2015/08/contact-us-bg1.jpg?id=250) !important;}" use_container="" el_id="contact"][vc_column][ft_contact sub_title="Proin posuere, enim et ornare accumsan, ipsum metus molestie dui, at scelerisque purus tortor et nunc. Sed sit amet rutrum est, vel faucibus arcu...."][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}